%define freettf /usr/X11R6/lib/X11/fonts/freefont-ttf

Summary: True Type fonts in Unicode encoding from the Free Software Foundation.
Summary(ru):    True Type   Unicode  Free Software Foundation.
Name: freefont-ttf
Version: 1
Release: 5sl303
Vendor: Linux-Ink
Group: System/Fonts
License: GPL
Source: %{name}.tar.gz
BuildRoot: /var/tmp/%{name}-root
BuildArch: noarch
URL: http://savannah.nongnu.org/download/freefont
Packager: Titov <tit@linux-ink.ru>
#Requires: xorg-x11
PreReq: chkfontpath freetype fontconfig

%description
True Type fonts in Unicode encoding from the Free Software Foundation.

%description -l ru
   True Type   Unicode  Free Software Foundation.

%prep

%setup -c %{name} -n %{name}

%install
mkdir -p ${RPM_BUILD_ROOT}%{freettf}
cp -a sfd/*.ttf ${RPM_BUILD_ROOT}%{freettf}
cd ${RPM_BUILD_ROOT}%{freettf}
ttmkfdir -f freefont -o ./fonts.dir
ln -s /usr/X11R6/lib/X11/fonts/encodings/encodings.dir encodings.dir
touch fonts.cache-1
cd -

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%post
{
  fc-cache %freettf
  /usr/sbin/chkfontpath -q -a %freettf
} &> /dev/null || :

%postun
{
  /usr/sbin/chkfontpath -q --remove %freettf
} &> /dev/null || :
								    
%files
%defattr(-,root,root)
%doc AUTHORS CREDITS ChangeLog INSTALL README
%freettf/*.ttf
%config %freettf/fonts.cache-1
%config %freettf/fonts.dir
%config %freettf/encodings.dir


%changelog
* Sun Nov 19 2002 McMCC <mcmcc@mail.ru>
- Free TTF fonts rpm package for RedHat-9

